<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml">
    <!--  parameters :   testInstance : TlsTestInstance
                          browserBean : AbstractTestInstanceBean -->
    <dl class="dl-horizontal">
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestCase']}</ui:define>
            <h:outputText value="#{testInstance.getTestCase().getName()}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.InstanceId']}</ui:define>
            <h:outputText value="#{testInstance.id}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.PermanentLink']}</ui:define>
            <h:outputLink target="_blank" value="#{browserBean.getPermanentLink(testInstance)}">
                #{browserBean.getPermanentLink(testInstance)}
            </h:outputLink>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.proxy.Date']}</ui:define>
            <g:date value="#{testInstance.lastChanged}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.RunBy']}</ui:define>
            <h:outputText value="#{browserBean.getUserName(testInstance.lastModifierId)}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SUTHost']}</ui:define>
            <h:outputText value="#{testInstance.sutHost}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SUTPort']}</ui:define>
            <h:outputText value="#{testInstance.sutPort}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.Connection']}</ui:define>
            <h:outputLink target="_blank" value="#{browserBean.getConnectionPermanentLink(testInstance)}"
                          rendered="#{browserBean.isConnectionRecorded(testInstance)}">
                #{messages['net.ihe.gazelle.atna.Connection']} #{testInstance.connection.getId()}
            </h:outputLink>
            <h:outputText value="#{messages['net.ihe.gazelle.atna.NoConnectionRecorded']}" style="font-style: italic;"
                          rendered="#{not browserBean.isConnectionRecorded(testInstance)}"/>
        </ui:decorate>
        <ui:decorate template="/layout/display/_data_list_item.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TestVerdict']}</ui:define>
            <span class="#{browserBean.getVerdictIcon(testInstance.testVerdict)}"></span>
            <h:outputText value="#{testInstance.testVerdict}"/>
        </ui:decorate>
    </dl>
    <table class="rf-dt">
        <thead class="rf-dt-thd">
        <tr class="rf-dt-shdr">
            <th class="rf-dt-shdr-c" scope="col">#{messages['net.ihe.gazelle.atna.Subject']}</th>
            <th class="rf-dt-shdr-c" scope="col">#{messages['net.ihe.gazelle.atna.ExpectedResults']}
            </th>
            <th class="rf-dt-shdr-c" scope="col">#{messages['net.ihe.gazelle.atna.Level']}</th>
            <th class="rf-dt-shdr-c" scope="col">#{messages['net.ihe.gazelle.atna.GotResults']}</th>
            <th class="rf-dt-shdr-c" scope="col">#{messages['net.ihe.gazelle.atna.Verdict']}</th>
        </tr>
        </thead>
        <tbody class="rf-dt-b">
        <tr class="rf-dt-r rf-dt-fst-r">
            <td class="rf-dt-c">#{messages['net.ihe.gazelle.atna.Handshake']}</td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Success']}"
                              rendered="#{testInstance.testCase.expectedHandshakeSuccess}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Failure']}"
                              rendered="#{not testInstance.testCase.expectedHandshakeSuccess}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Mandatory']}"
                              rendered="#{testInstance.testCase.mandatoryHandshakeSuccess}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Optional']}"
                              rendered="#{not testInstance.testCase.mandatoryHandshakeSuccess}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{browserBean.getHandshakeResult(testInstance)}"/>
            </td>
            <td class="rf-dt-c">
                <span class="#{browserBean.getVerdictIcon(testInstance.handshakeVerdict)}"></span>
                <h:outputText value="#{testInstance.handshakeVerdict}"/>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">#{messages['net.ihe.gazelle.atna.AlertLevel']}</td>
            <td class="rf-dt-c">
                <h:outputText value="#{testInstance.testCase.expectedAlertLevel}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                              rendered="#{testInstance.testCase.expectedAlertLevel==null}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Mandatory']}"
                              rendered="#{testInstance.testCase.mandatoryAlertLevel}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Optional']}"
                              rendered="#{not testInstance.testCase.mandatoryAlertLevel}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{browserBean.getAlertResult(testInstance)}"/>
            </td>
            <td class="rf-dt-c">
                <span class="#{browserBean.getVerdictIcon(testInstance.alertLevelVerdict)}"></span>
                <h:outputText value="#{testInstance.alertLevelVerdict}"/>
            </td>
        </tr>
        <tr class="rf-dt-r">
            <td class="rf-dt-c">#{messages['net.ihe.gazelle.atna.AlertDescription']}</td>
            <td class="rf-dt-c">
                <h:outputText value="#{testInstance.testCase.expectedAlertDescriptions}"
                              rendered="#{not testInstance.testCase.expectedAlertDescriptions.isEmpty()}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.None']}"
                              rendered="#{testInstance.testCase.expectedAlertDescriptions.isEmpty()}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Mandatory']}"
                              rendered="#{testInstance.testCase.mandatoryAlertDescription}"/>
                <h:outputText value="#{messages['net.ihe.gazelle.atna.Optional']}"
                              rendered="#{not testInstance.testCase.mandatoryAlertDescription}"/>
            </td>
            <td class="rf-dt-c">
                <h:outputText value="#{browserBean.getAlertResult(testInstance)}"/>
            </td>
            <td class="rf-dt-c">
                <span class="#{browserBean.getVerdictIcon(testInstance.alertDescriptionVerdict)}"></span>
                <h:outputText value="#{testInstance.alertDescriptionVerdict}"/>
            </td>
        </tr>
        </tbody>
    </table>

</ui:composition>
